Bug 164390 - [bsd.port.mk] make package-recursive fails with noise
Summary: [bsd.port.mk] make package-recursive fails with noise
Status: In Progress
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Ports Framework (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Port Management Team
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-01-23 02:20 UTC by Enji Cooper
Modified: 2015-06-13 02:14 UTC (History)
0 users

See Also:


Attachments
fix-package-recursive.patch (603 bytes, patch)
2012-04-26 21:15 UTC, Enji Cooper
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Enji Cooper freebsd_committer 2012-01-23 02:20:07 UTC
make package-recursive fails today [with noise] as follows:

# make -C /usr/ports/databases/mysql55-server/ package-recursive
===>  Building package for mysql-server-5.5.20
rmdir: /usr/ports/devel/cmake/work: Directory not empty
*** [package-noinstall] Error code 1 (ignored)
rmdir: /usr/ports/databases/mysql55-client/work: Directory not empty
*** [package-noinstall] Error code 1 (ignored)

The problem is that dependent packages aren't being cleaned:

# find /usr/ports/devel/cmake/work | wc -l
    5159
# find /usr/ports/databases/mysql55-client/work/ | wc -l
   10620

How-To-Repeat: make -C /usr/ports/databases/mysql55-server/ package-recursive
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2012-01-23 03:28:22 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ale

Fix synopsis and assign.
Comment 2 Mark Linimon freebsd_committer freebsd_triage 2012-01-23 04:30:18 UTC
Responsible Changed
From-To: ale->portmgr

Apparently is a generic problem.
Comment 3 Enji Cooper freebsd_committer 2012-04-26 21:15:50 UTC
	Here's a working, hacky patch that makes package-recursive work. check-already-installed and the installation code will need to be revised for the "ports 2.0" work that I have going on in the background.
Thanks,
-Garrett

PS Please dupe ports/167191 to this bug.
Comment 4 Enji Cooper freebsd_committer 2012-04-27 03:25:04 UTC
    For the record, the noise is actually 'good' in a way. I tested
out changing ${RMDIR} ${WRKDIR} -> ${RM} -rf ${WRKDIR}, and that
actually increased the amount of time required to compile packages.
So, noise aside, I didn't care and just fixed the issue that needed to
be fixed (package-recursive not working).
    Again, a better solution is going to be thought up soon.
Thanks!
-Garrett
Comment 5 Mark Linimon freebsd_committer freebsd_triage 2014-06-02 02:54:10 UTC
Infrastructure PR.